Suse ED 11 problem sa instaliranjem KDE app na Gnome

6 odgovora [Poslednji unos]
tasicss
Slika korisnika tasicss
Offline
User
Član od: 05/02/2011

Poštovani forumaši, nov sam na Linuxu, trenutno koristim Suse enterprise desktop 11 koji sam dobio uz novi Laptop, elem do sada sam koristio Kubuntu (KDE) pored M$ Window$a (muka mi je vise od njega) i tu mu dodje sve na dva klika misem ali sada imam problem sa instaliranjem aplikacija preko YAST-a koje su radjene za KDE na Gnome graf.okruzenje, konkretno mi nedostaju aplikacije tipa Amarok, Konqueror, k-torrent... manje vise ali kada ih odaberem preko Yasta izbaci sledeci problem (vidi sliku) kontam nema KDE library pa kako da resim ovaj problem? Unapred hvala!

0
__________________

Kad god Windows pronađe neki ključ kao rešenje, neko promeni bravu.

GoranSTX
Slika korisnika GoranSTX
Offline
ModeratorUser
Član od: 29/05/2006

Hm, jesi li osvežio repozitorijume pre instalacije? Moguće je da je u pitanju privremeni problem pošto je skoro bio update KDE-a na novu verziju pa nisu svi paketi usaglašeni. Postoji i mogućnost da ne koristiš sve dostupne repoe za suse, proveri na njihovom wiki-u šta je sve dostupno i po potrebi dodaj nedostajuće u Yast...

__________________

http://autostoper.blogspot.com
Two things are infinite: the universe and human stupidity; and I'm not sure about the universe. (Einstein)
Registered Linux User #411782
http://linuxcounter.net/

zokypoky
Slika korisnika zokypoky
Offline
User
Član od: 06/05/2009

Ne moraš instalirati Amarok iz YAST-a. Problem sa repoima je definitivan, pa zato probaj da ga instaliraš sa openSUSE-ovog bild servisa na adresi http://software.opensuse.org/113/en. Iz tvog Internet pretraživača odi na ovaj link (iz SLED-a razume se...) i u polju za pretraživanje ukucaj "Amarok", a iz kombo-boksa ispod izaberi SUSE SLE-11, ili SUSE SLE-11 SP1, zavisno da li ti je SLED sa SP1 ili bez njega. Klikni zatim na "Search" dugme, pa vidi šta će pronaći ispod.

Pokušao sam sa izabranim SP1, ali ništa ne izbacuje, pa ti savetujem da pokušaš samo sa SUSE SLE11. Izbaciće ti nekoliko verzija softvera Amarok, pa pokušaj da izabereš najnoviju, a zatim klikni na dugme "1-Click Install", pa prati dalje šta treba da se radi.

Ne znam da li si dobio neki instalacioni DVD sa SLED-om, ili ne. Ako si dobio, na njemu je možda i KDE 4 okruženje, pa pokušaj da ga instaliraš. Ranije sam radio sa SLED-om 10, ali sada koristim openSUSE 11.3 i ne znam kako stoje stvari sada sa SLED-om 11.

Ako nisi dobio nikakav DVD, pokušaj da ga preuzmeš sa Novell-ovog sajta http://www.novell.com/products/desktop/eval.html. Sasvim legalno možeš da ga koristiš, uz blagodeti tehničke pomoći, ako znaš engleski. Ako ne znaš engleski, stojimo ti na pomoći...

tasicss
Slika korisnika tasicss
Offline
User
Član od: 05/02/2011

Pre svega hvala na brzim odgovorima.
@Goran STX
Nisam osvezio repoe, neznam kako... Sad( Kako da ih dodam?

@ zokypoky
Probao sam instalaciju sa: http://software.opensuse.org/113/en ali se javio onaj isti problem, samo sto sam ovog puta isao na do not forbid i tak na jedno postavljenih 20 pitanj, skinuo je pored Amaroka i neke druge stvari jedo 20-30 njih i amarok je proradio Big smile valjda su to repoi? Sto se tice DVD-ja nisam dobio apsolutno nista, OS je bio vec instaliran a ima opciju recovery na pro startu bootovanja OS-a tako da dvd nije ni potreban, odradi instalaciju od nule, to sam par puta proverio jer sam nekoliko puta uprskao suse...
Kako da instaliram te repoe da ne bih imao problema sa instalacijom, rece SLED-11 SP1, kontam SP1 mu dodje service pack 1 koji verovatno mogu negde da skinem i instaliram, sto se tice updatea to sam uradio imao je neke zakrpe za kernel koliko sam skontao, instalacija je bila oko 200mb.

__________________

Kad god Windows pronađe neki ključ kao rešenje, neko promeni bravu.

GoranSTX
Slika korisnika GoranSTX
Offline
ModeratorUser
Član od: 29/05/2006

Repoe (spisak online skladišta softvera) već imaš unete u menadžer paketa u sklopu Yast-a. Ukoliko se prilikom pokretanja ne vrši automatsko osvežavanje onda moraš ručno pokrenuti (preko opcije refresh ili update ili slično) ažuriranje postojećih repozitorijuma kako bi sistem bio svestan trenutne situacije (nove verzije programa).

__________________

http://autostoper.blogspot.com
Two things are infinite: the universe and human stupidity; and I'm not sure about the universe. (Einstein)
Registered Linux User #411782
http://linuxcounter.net/

tasicss
Slika korisnika tasicss
Offline
User
Član od: 05/02/2011

Prilikom startovanja yast > software > add-on product izlistava neke stvari, valjda mu to dodje osvezavanje liste repoa?

Drugi problem koji imam je to sto na skype-u sagovornik mene ne cuje dobro, seckanje i preidanje do tacke nerazumljivosti, dali neko zna u cemu je problem, a skype mi je veoma potreban. U ptanju je skype koji je dosao sa instalacijom SLED-11 na sajtu skype-a ne postoji novija verzija od ove koja je instalirana.

__________________

Kad god Windows pronađe neki ključ kao rešenje, neko promeni bravu.

zokypoky
Slika korisnika zokypoky
Offline
User
Član od: 06/05/2009

Spisak repo-a održavaš iz YAST-a. Pozovi YAST (tražiće ti root lozinku!), zatim Software>Software Repositories i u tom programu ćeš videti spisak svih repo-a koji su ti instalirani. Obično su oni dovoljni za svakodnevne poslove, ali ako ti treba još neki, na kome se nalazi neki od softvera koji ti trebaju, jednostavno ga dodaj u ovom programu.

Klikni na "Add", zatim jedan "Next", a onda ukucaj naziv repo-a koji želiš da ti se pojavljuje kasnije, a u polje za link uradi "paste" kopiranog linka sa spiska repo-a koji hoćeš da dodaš. Završi sa serijom Next" klikova (a možda ima i neki "OK"...). Uspit prihvati sve što te pita u vezi sertifikata za dati repo...

Sada kada uđeš u YAST>Software Management i u "Search" potražiš softver koji ti treba. Ako je bio u dodtičnom repo-u, garantovano ga i ovde pronalazi, pa ga instaliraj. Ako ti prijavi neke "dep"-ove pri tom, moraš ih razlučiti i onda instalirati softver.

Što se tiče SP1, verujem da je on došao sa instalacijom. Najverovatnije da je deo diska (particija) odvojen za instalaciju, pa ti onaj rikaveri radi kako valja, bez DVD-a. No, ako hoćeš KDE 4, skini instalacioni DVD sa net-a (sasvim legalno), valja postoji...

Apdejtove i pečeve skidaj redovno, mnoge stvari se tu ispravljaju, kao i propusti.

Korišćenjem bild servisa ti nisu potrebni repo-i, jer u tom slučaju sve se povlači sa bild servisa, što je mnogo jednostavnije. On privremeno doda repo-e koji mu trebaju i na kraju ih skloni. 1-Click-install je mnogo moćna stvar!